Bug 145422 - Anaconda (ethtool= option setting)
Anaconda (ethtool= option setting)
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Mike McLean
Depends On:
Blocks: 132991
  Show dependency treegraph
Reported: 2005-01-18 02:51 EST by Michael Bischof
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-220
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-18 10:28:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Fixed the described problem. Additionally some debug messages have been added. (3.97 KB, patch)
2005-01-18 02:52 EST, Michael Bischof
no flags Details | Diff

  None (edit)
Description Michael Bischof 2005-01-18 02:51:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I had a problem installing RH3 on a box with a tg3 nic.
These nic's are (in combination with certain switches)
some kind of buggy (autodetection doesnt really work).

I was looking for a way to set speed and duplex setting
at installation time and found the ethtool= option.
But this option didnt help eiter.

While looking at anaconda- I discovered
the reason for this. First the dhcp server gets asked for an 
ip address and only after that the speed and duplex settings are
done. I don't think thats right. If you don't get a link
(because of the broken autodetection) you won't get an ip 
from the dhcp server.

I fixed the code (patch attached, some debug messages added)
and now it works.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. ...
2. ...
3. ...

Additional info:
Comment 1 Michael Bischof 2005-01-18 02:52:32 EST
Created attachment 109913 [details]
Fixed the described problem. Additionally some debug messages have been added.
Comment 5 Paul Nasrat 2005-02-24 12:04:54 EST
Commited to RHEL3, RHEL4 and HEAD.  
Comment 6 Dennis Gregorovic 2005-05-18 10:28:59 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.